get
https://api-v2.pandavideo.com.br/drm?action=import-csv-url
This endpoint allows you to initiate the process of importing a CSV file with custom fields into a specific DRM group. The process consists of two steps: first, request an upload URL; then, upload the CSV file to that URL.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Import CSV to DRM
This endpoint allows you to initiate the process of importing a CSV file with custom fields into a specific DRM group. The process consists of two steps: first, request an upload URL; then, upload the CSV file to that URL.
Step 1: Request Upload URL
Method: POST
URL: https://api-v2.pandavideo.com/drm?action=import-csv-url
Headers:
Content-Type: application/json
Authorization: panda-<YOUR_API_KEY>Request Body (JSON):
{
"drm_group_id": "drm_group_id", // example
"private_key_column": "private_key", // example
"string1_column": "email", // example
"string2_column": "name", // example
"string3_column": "course" // example
}Example Response:
{
"upload_url": "https://bucket-url/...",
"import_id": "uuid"
}🔹 Step 2: Upload the CSV File
Method: PUT
URL: {{upload_url}} (from the previous response)
Headers:
Content-Type: text/csvBody:
- Set the request body to binary
- Upload your CSV file
Once the upload is complete, the system will process the file and associate the data with the specified DRM group. You can track the status of the import using the returnedimport_id.
